org.apache.mina.session

## Interface WriteRequest

All Known Implementing Classes:
  DefaultWriteRequest

    public interface WriteRequest

The write request created by the `IoSession.write(java.lang.Object)` method, which is transmitted through the filter chain and finish as a socket write.
We store the original message into this data structure, along the associated potentially modified message if the original message gets encoded during the process.
Note that when we always ends with the message being a ByteBuffer when we reach the socket.
We also keep a Future into this data structure to inform the caller about the write completion.

Author:
  Apache MINA Project

### Method Summary

Methods
`IoFuture<Void>` `getFuture()` The future to be completed on a write success
`Object` `getMessage()` Get the message stored for this request.
`Object` `getOriginalMessage()` Gets the original message, as written by the handler, before passing through the filter chain.
`void` `setFuture(IoFuture<Void> future)` Store the future into the request
`void` `setMessage(Object message)` Store the encoded message

### Method Detail

#### getMessage

    Object getMessage()

Get the message stored for this request.

Returns:
  the contained message

#### setMessage

    void setMessage(Object message)

Store the encoded message

Parameters:
  `The` - encoded message

#### getOriginalMessage

    Object getOriginalMessage()

Gets the original message, as written by the handler, before passing through the filter chain.

Returns:
  The original message

#### getFuture

    IoFuture<Void> getFuture()

The future to be completed on a write success

Returns:
  the future

#### setFuture

    void setFuture(IoFuture<Void> future)

Store the future into the request

Parameters:
  `the` - future